[Alsaplayer-devel]Won't compile with gcc-3.0

Andy Lo A Foe andy@orbital.xs4all.nl
Thu, 26 Jul 2001 14:24:06 +0200


On Thu, Jul 26, 2001 at 06:45:46AM +0900, Patrick Shirkey wrote:

> Only thing is I haven't recompiled alsaplayer because it won't accept
> gcc-3.0

I thought I compiled alsaplayer with gcc-3.0, the version that comes in
Debian sid (unstable). I'll try a recompile.

> The problems I thought I had created by adding the loop function seem to
> have dissapeared. I was getting a wierd effect on the position indicator
> for a little while. After the first loop it would not redraw itself
> while the bar was moving or else it did it sporadically. That seems to
> have dissapeared.

I think this "bug" has been present for a very long time. It looks like
an update issue in GTK+ itself since I'm not doing anyting special with
the drawing function, just updating the slider position every n times
per second.

> I have been looking at the code for gnoise and they are using some
> useful tools with gtk so I'll see if I can start adding some toggle
> buttons to a preferences box. 

Yes please :)

> In file included from ../include/utilities.h:22,
>                  from gtk_interface.cpp:30:
> ../include/cpp_utilities.h:26: parse error before `&' token
> ../include/cpp_utilities.h:29: parse error before `)' token

[...long list deleted...]

Ouch... I'll have a look later today.

BTW, if anyone's wondering what I'm doing to the code right now:
- GUI separation and libification. 

I'll repopulate the CVS tree with the current code soon so others can
join in.

Regs,
Andy